'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Enterprise24 = {
  name: 'Enterprise24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M28,28V14a2,2,0,0,0-2-2H22V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4V28H2v2H30V28ZM6,4H20V28H6ZM22,28V14h4V28Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M10 8H12V12H10zM10 14H12V18H10zM14 8H16V12H14zM14 14H16V18H14zM10 20H12V24H10zM14 20H16V24H14z"
      }
    }), children]);
  }
};

module.exports = virtual_Enterprise24;
